#ifndef __BEOSOPT_H__
#define __BEOSOPT_H__

#ifdef __cplusplus

#include <Window.h>

class OptionView: public BView
{
    public:
	OptionView(BRect frame);

	void KeyDown(const char *bytes, int32 numBytes);
};

class OptionWindow: public BWindow
{
    private:
	OptionView *_bg;
	BButton *_btnLeft;
	BButton *_btnRight;
	BButton *_btnFire;
	BButton *_btnPause;
	BButton *_waiting;
	char _oldLabel[32];

    public:
	OptionWindow(BRect frame);
	~OptionWindow();

	void MessageReceived(BMessage *message);
	void KeyDown(const char *bytes, int32 numBytes);
};

extern "C" {

#endif

const char *label(unsigned char keyCode);
void beos_get_options();
void beos_save_options();
void option_window();

#ifdef __cplusplus
}
#endif

#endif // __BEOSOPT_H__

