#ifndef __BEOSSOUND_H__
#define __BEOSSOUND_H__

#ifdef __cplusplus
extern "C" {
#endif

#define SND_EXPLOSION 0
#define SND_FIRETORP  1
#define SND_SHIELD    2
#define SND_TORPHIT   3
#define SND_EXP_SB    4
#define SND_DDLOO     5
#define SND_WARP      6
#define SND_SMART     7

#ifdef __BEOSSOUND_CPP__
    #define EXTERN
#else
    #define EXTERN extern
#endif

EXTERN int playSounds;

void init_sound();             /* Init Sound System                          */
void play_sound(int k);        /* Play a Sound                               */
void maybe_play_sound(int k);  /* Play sound if the last 'k' sound_completed */
void sound_completed(int k);   /* Complete a sound 'k'                       */
void kill_sound();             /* Terminate a sound unpredictably :)         */

#ifdef __cplusplus
}
#endif

#endif // __BEOSSOUND_H__

